Subject: Comments on PEP 394 draft
From: Scott Kitterman <[email-masked]>
To: Kerrick Staley <[email-masked]>, Nick Coghlan <[email-masked]>
Cc: [email-masked]
Date: Mon, 7 Mar 2011 14:22:57 -0500

I'm one of the maintainers of the packages that provide /usr/bin/python, 
python3, and potentially python2 in Debian and Ubuntu.  I've read both your 
draft ( http://www.python.org/dev/peps/pep-0394/ ) and the thread on ptyhon-
dev.  I'm writing you directly since I'm not subscribed to python-dev and 
that's what Barry suggested.

I think that the PEP generally makes sense.  The only comment I have is that 
the recommendation regarding pointing /usr/bin/python at /usr/bin/python3 is 
far too aggressive.  It will break lots of local scripts and python software 
(updating distribution package repositories isn't nearly sufficient 
preparation for the change).  I know some distributions have or will do this, 
but I think it is not appropriate for an upstream recommendation.  If you 
would change:

"For the time being, it is recommended that python should refer to python2, 
except on distributions which include only python3 in their base install, or 
those that wish to push strongly for migration of user scripts to Python 3."

to

"For the time being, it is recommended that python should refer to python2."

then it would be something Debian would likely (I'm not the only maintainer) 
support.  Given that the previous position was that /usr/bin/python would 
always refer to python2, just establishing that it should change as some point 
is a step forward.  I don't think pushing harder than that will be worth the 
added controversy associated with being more aggressive.

Scott K